Subject: [MIB-DOCTORS] Fwd: [Technical Errata Reported] RFC3416 (3402)

From: Benoit Claise <[email-masked]>
Date: Thu, 08 Nov 2012 23:46:53 -0500

Hi Guys,

Is this a correct errata?

Regards, Benoit

-------- Original Message --------
Subject: 	[Technical Errata Reported] RFC3416 (3402)
Date: 	Thu, 8 Nov 2012 15:18:03 -0800 (PST)
From: 	RFC Errata System <[email-masked]>
To: 	[email-masked], [email-masked], [email-masked], 
[email-masked]
CC: 	[email-masked], [email-masked]

The following errata report has been submitted for RFC3416,
"Version 2 of the Protocol Operations for the Simple Network Management Protocol (SNMP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3416&eid=3402

--------------------------------------
Type: Technical
Reported by: Mike Sauve <[email-masked]>

Section: 3

Original Text
-------------
max-bindings INTEGER ::= 2147483647

Corrected Text
--------------
max-bindings ::= INTEGER (2147483647)

Notes
-----

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary.

--------------------------------------
RFC3416 (draft-ietf-snmpv3-update-proto-08)
--------------------------------------
Title               : Version 2 of the Protocol Operations for the Simple Network Management Protocol (SNMP)
Publication Date    : December 2002
Author(s)           : R. Presuhn, Ed.
Category            : STANDARD
Source              : SNMP Version 3
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 9 Nov 2012 22:31:39 -0800

Hi -

I'm pretty sure RFC 3416 is correct as-is with respect to the proposed erratum.

According to section 4.2 of the ASN.1 spec, the grammar for the value notation is
  ValueDefinition ::= identifier Type "::=" Value

The current text conforms to this grammar, and the usage in this particular case
is closely analogous to the example the ASN.1 standard gives in that same
section.

It looks like the submitter wants to change the value definition into a
type definition, which to me would be inconsistent with how the the SNMP
specification employs max-bindings.

Bottom line:
I don't see a problem in the original text, and would reject the proposed change.

Randy
   
----- Original Message ----- 
> From: "Benoit Claise" <[email-masked]>
> To: "MIB Doctors (E-mail)" <[email-masked]>
> Cc: "Ron Bonica" <[email-masked]>
> Sent: Thursday, November 08, 2012 8:46 PM
> Subject: [MIB-DOCTORS] Fwd: [Technical Errata Reported] RFC3416 (3402)
>
> Hi Guys,
> 

--------------------------------------------------------------------------------

> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 9 Nov 2012 12:18:29 +0100

On Fri, Nov 09, 2012 at 10:31:39PM -0800, Randy Presuhn wrote:

[...]

> I don't see a problem in the original text, and would reject the

+1

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Benoit Claise <[email-masked]>
Date: Fri, 09 Nov 2012 07:52:10 -0500

Thanks Randy and Juergen,

Regards, Benoit